curl --request POST \
--url https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primeClusterId": "<string>",
"slurmClusterName": "<string>",
"numNodes": 123,
"members": [
{
"username": "<string>",
"sshAuthorizedKeys": [
"<string>"
],
"sudo": false,
"linkedUserId": "<string>"
}
],
"gpusPerNode": 123,
"homeSize": "<string>",
"tailscaleAuthKey": "<string>",
"containersEnabled": false
}
'import requests
url = "https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy"
payload = {
"primeClusterId": "<string>",
"slurmClusterName": "<string>",
"numNodes": 123,
"members": [
{
"username": "<string>",
"sshAuthorizedKeys": ["<string>"],
"sudo": False,
"linkedUserId": "<string>"
}
],
"gpusPerNode": 123,
"homeSize": "<string>",
"tailscaleAuthKey": "<string>",
"containersEnabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primeClusterId: '<string>',
slurmClusterName: '<string>',
numNodes: 123,
members: [
{
username: '<string>',
sshAuthorizedKeys: ['<string>'],
sudo: false,
linkedUserId: '<string>'
}
],
gpusPerNode: 123,
homeSize: '<string>',
tailscaleAuthKey: '<string>',
containersEnabled: false
})
};
fetch('https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'primeClusterId' => '<string>',
'slurmClusterName' => '<string>',
'numNodes' => 123,
'members' => [
[
'username' => '<string>',
'sshAuthorizedKeys' => [
'<string>'
],
'sudo' => false,
'linkedUserId' => '<string>'
]
],
'gpusPerNode' => 123,
'homeSize' => '<string>',
'tailscaleAuthKey' => '<string>',
'containersEnabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy"
payload := strings.NewReader("{\n \"primeClusterId\": \"<string>\",\n \"slurmClusterName\": \"<string>\",\n \"numNodes\": 123,\n \"members\": [\n {\n \"username\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"sudo\": false,\n \"linkedUserId\": \"<string>\"\n }\n ],\n \"gpusPerNode\": 123,\n \"homeSize\": \"<string>\",\n \"tailscaleAuthKey\": \"<string>\",\n \"containersEnabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"primeClusterId\": \"<string>\",\n \"slurmClusterName\": \"<string>\",\n \"numNodes\": 123,\n \"members\": [\n {\n \"username\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"sudo\": false,\n \"linkedUserId\": \"<string>\"\n }\n ],\n \"gpusPerNode\": 123,\n \"homeSize\": \"<string>\",\n \"tailscaleAuthKey\": \"<string>\",\n \"containersEnabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"primeClusterId\": \"<string>\",\n \"slurmClusterName\": \"<string>\",\n \"numNodes\": 123,\n \"members\": [\n {\n \"username\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"sudo\": false,\n \"linkedUserId\": \"<string>\"\n }\n ],\n \"gpusPerNode\": 123,\n \"homeSize\": \"<string>\",\n \"tailscaleAuthKey\": \"<string>\",\n \"containersEnabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"primeClusterId": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Deploy Cluster
Deploy a Slurm cluster onto one of the team’s dedicated clusters.
Team-admin gated like resize and add/remove member. The cluster must
belong to team_id and have self-service enabled (checked by the
service, which also pins the new cluster to this team). Node planning
and claiming run before this returns, so “not enough nodes” or a port
conflict is an immediate error; the Helm install continues in the
background and the returned cluster starts out PENDING.
curl --request POST \
--url https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primeClusterId": "<string>",
"slurmClusterName": "<string>",
"numNodes": 123,
"members": [
{
"username": "<string>",
"sshAuthorizedKeys": [
"<string>"
],
"sudo": false,
"linkedUserId": "<string>"
}
],
"gpusPerNode": 123,
"homeSize": "<string>",
"tailscaleAuthKey": "<string>",
"containersEnabled": false
}
'import requests
url = "https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy"
payload = {
"primeClusterId": "<string>",
"slurmClusterName": "<string>",
"numNodes": 123,
"members": [
{
"username": "<string>",
"sshAuthorizedKeys": ["<string>"],
"sudo": False,
"linkedUserId": "<string>"
}
],
"gpusPerNode": 123,
"homeSize": "<string>",
"tailscaleAuthKey": "<string>",
"containersEnabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primeClusterId: '<string>',
slurmClusterName: '<string>',
numNodes: 123,
members: [
{
username: '<string>',
sshAuthorizedKeys: ['<string>'],
sudo: false,
linkedUserId: '<string>'
}
],
gpusPerNode: 123,
homeSize: '<string>',
tailscaleAuthKey: '<string>',
containersEnabled: false
})
};
fetch('https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'primeClusterId' => '<string>',
'slurmClusterName' => '<string>',
'numNodes' => 123,
'members' => [
[
'username' => '<string>',
'sshAuthorizedKeys' => [
'<string>'
],
'sudo' => false,
'linkedUserId' => '<string>'
]
],
'gpusPerNode' => 123,
'homeSize' => '<string>',
'tailscaleAuthKey' => '<string>',
'containersEnabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy"
payload := strings.NewReader("{\n \"primeClusterId\": \"<string>\",\n \"slurmClusterName\": \"<string>\",\n \"numNodes\": 123,\n \"members\": [\n {\n \"username\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"sudo\": false,\n \"linkedUserId\": \"<string>\"\n }\n ],\n \"gpusPerNode\": 123,\n \"homeSize\": \"<string>\",\n \"tailscaleAuthKey\": \"<string>\",\n \"containersEnabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"primeClusterId\": \"<string>\",\n \"slurmClusterName\": \"<string>\",\n \"numNodes\": 123,\n \"members\": [\n {\n \"username\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"sudo\": false,\n \"linkedUserId\": \"<string>\"\n }\n ],\n \"gpusPerNode\": 123,\n \"homeSize\": \"<string>\",\n \"tailscaleAuthKey\": \"<string>\",\n \"containersEnabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/slurm-clusters/{team_id}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"primeClusterId\": \"<string>\",\n \"slurmClusterName\": \"<string>\",\n \"numNodes\": 123,\n \"members\": [\n {\n \"username\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"sudo\": false,\n \"linkedUserId\": \"<string>\"\n }\n ],\n \"gpusPerNode\": 123,\n \"homeSize\": \"<string>\",\n \"tailscaleAuthKey\": \"<string>\",\n \"containersEnabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"primeClusterId": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Deploy a Slurm cluster onto one of the team's dedicated clusters.
The customer-facing subset of the admin deploy payload
(SlurmClusterSpec). Unknown fields, including the admin-only knobs,
are rejected rather than ignored.
111Show child attributes
Show child attributes
Was this page helpful?